package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IRoleBindingDAO interface {
	Bind(model.Role, model.User) *util.ChatError
	Unbind(model.Role, model.User) *util.ChatError
	ListRolesOfUser(model.User) ([]model.Role, *util.ChatError)
	ListUserWithRole(model.Role) ([]model.User, *util.ChatError)
}
