package dao

import (
	"git.tek.govt.hu/dowerx/chat/server/model"
	"git.tek.govt.hu/dowerx/chat/server/util"
)

type IRoleDAO interface {
	Create(name string) (int, *util.ChatError)
	Read(model.Role) (model.Role, *util.ChatError)
	List() ([]model.Role, *util.ChatError)
	Update(model.Role) *util.ChatError
	Delete(model.Role) *util.ChatError
}
